package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag195;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
        import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
        import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT195Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT195Creator mt195Creator;

    public Tag79Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt195Creator = (MT195Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag79Value = mt195Creator.getNarrativeDescription();
        mt195Creator.set("79", tag79Value);
    }
}
